Vlans
List all VLANs
Returns VLANs accessible to the authenticated user, optionally filtered by network.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Query Parameters
group_by?null|VlanOrderField
order_by?null|VlanOrderField
order_direction?null|OrderDirection
limit?integer|null
Format
int32Range
0 <= value <= 1000offset?integer|null
Format
int32Range
0 <= valuenetwork_id?string|null
Filter by network ID
Format
uuidResponse Body
application/json
curl -X GET "https://loading/api/v1/vlans"{
"data": [
{
"name": "string",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"vlan_number": 0,
"description": "string",
"source": {
"type": "Manual"
},
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.16.0"
},
"success": true,
"error": "string"
}